<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Departamento</title>
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:fieldset legend="Agregar Departamento" style="margin-bottom:10px"> 
                    <h:form id="formDepartamento">
                        <p:growl id="msj"/>
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2"> 
                            <p:outputLabel value="Departamento" style="margin-right:10px;"/>
                            <p:inputText value="#{departamentoController.departamento.departamento}"/>
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save" rendered="#{departamentoController.departamento.departamento==null}" value="Registrar" actionListener="#{departamentoController.insertar()}" update=":departamentos,formDepartamento,msj"/>
                            </div>
                            <p:commandButton icon="pi pi-times" rendered="#{departamentoController.departamento.departamento!=null}" value="Cancelar" actionListener="#{departamentoController.init()}" update=":departamentos,formDepartamento,msj"/>
                            <p:commandButton icon="pi pi-refresh" rendered="#{departamentoController.departamento.departamento!=null}" value="Actualizar" actionListener="#{departamentoController.editar()}" update=":departamentos,formDepartamento,msj"/>
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
              
                <p:fieldset legend="Listado de Departamentos"> 
                    <h:form id="departamentos" class="dosColumnas">
                        <p:dataTable value="#{departamentoController.lista}" var="depart" paginator="true" rows="5" style="width: 80%; margin: auto">
                            <p:column headerText="Departamento">
                                <p:outputLabel value="#{depart.departamento}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" actionListener="#{departamentoController.eliminar(depart)}" update="departamentos,formDepartamento:msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton  icon="pi pi-pencil" value="Editar" actionListener="#{departamentoController.consultarById(depart)}" update=":formDepartamento"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>


            </ui:define>
        </ui:composition>
    </h:body>
</html>

